%global _python_dist_allow_version_zero 1
%global srcname myatf
%global vdk_pylib_req vdk-pylib >= 0.0.0, vdk-pylib < 0.1.0


Name:           python-myatf
Version:        0.0.0+t20240307140704.egg.g81ce901
Release:        1%{?dist}
Summary:        myatf - My yet another testing framework
URL:            https://gitlab.com/vornet/python/python-myatf
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{vdk_pylib_req}

%description
My yet another testing framework

Built with vdk-pylib-0.0.37


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-neaty
BuildRequires:  python3
Requires:      python3
Requires:      python3-neaty
Requires:      python3
%description -n python3-%{srcname}
My yet another testing framework


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr pystuff
%py3_build

%install
%py3_install

%check
export VDK_TEST__DEBUG=true
%{_vdk_pylib_utildir}/vdk_test %{srcname} doctest \
  && %{_vdk_pylib_utildir}/vdk_test %{srcname} unittest

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.0.60 and vdk-pylib-0.0.37
